<div class="card m-3">
  <h5 class="card-header">Formulaire d'inscription boutique</h5>
  <div class="card-body">
    <form [formGroup]="registerForm" (ngSubmit)="onSubmit()">
      <div class="form-row">
        <div class="form-group col-5">
          <label>Nom utilisateur</label>
          <input type="text" formControlName="username" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.username.errors }" />
          <div *ngIf="submitted && f.username.errors" class="invalid-feedback">
            <div *ngIf="f.username.errors.required">le nom d'utilisateur est requis.</div>
          </div>
        </div>
      </div>
      <div class="form-group">
        <label>Email</label>
        <input type="text" formControlName="email" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.email.errors }" />
        <div *ngIf="submitted && f.email.errors" class="invalid-feedback">
          <div *ngIf="f.email.errors.required">L'email est requise.</div>
          <div *ngIf="f.email.errors.email">L'email doit être valide.</div>
        </div>
      </div>
      <div class="form-group">
        <label>Confirmation email</label>
        <input type="text" formControlName="confirmEmail" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.confirmEmail.errors }" />
        <div *ngIf="submitted && f.confirmEmail.errors" class="invalid-feedback">
          <div *ngIf="f.confirmEmail.errors.required">La vérification d'email est requise.</div>
          <div *ngIf="f.confirmEmail.errors.mustMatch">Les emails doivent être identiques.</div>
        </div>
      </div>
      <div class="form-row">
        <div class="form-group col">
          <label>Mot de passe</label>
          <input type="password" formControlName="password" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.password.errors }" />
          <div *ngIf="submitted && f.password.errors" class="invalid-feedback">
            <div *ngIf="f.password.errors.required">Le mot de passe est requis.</div>
            <div *ngIf="f.password.errors.pattern">Doit contenir au moins 8 caractères, une majuscule, une minuscule, un chiffre et un caractère spécial</div>
          </div>
        </div>
        <div class="form-group col">
          <label>Confirmation mot de passe</label>
          <input type="password" formControlName="confirmPassword" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.confirmPassword.errors }" />
          <div *ngIf="submitted && f.confirmPassword.errors" class="invalid-feedback">
            <div *ngIf="f.confirmPassword.errors.required">La confirmation du mot de passe est requise.</div>
            <div *ngIf="f.confirmPassword.errors.mustMatch">Les mots de passe doivent être identiques.</div>
          </div>
        </div>
      </div>
      <div class="text-center">
        <button class="btn btn-primary mr-1" type="submit">Inscription</button>
        <button class="btn btn-secondary" type="reset" (click)="onReset()">Annuler</button>
      </div>
    </form>
  </div>
</div>
